function [] = SigMask(opts,AREAS,STIMS)
    exp_list = 1:6;
    pval = 0.01;
    percentile = 0.99;
    name_area1 = opts.areas_names{AREAS(1)};
    name_area2 = opts.areas_names{AREAS(2)};
        
    load('Examples/DI_FIT_cFIT_FITshared_MATT.mat','DI_MATT_EXP_SC','DI_EXP_MEAN_SC');
    DI_EXP_MEAN_SC_SigMask = compute_DI_FIT_sigmap(DI_EXP_MEAN_SC,DI_MATT_EXP_SC,exp_list,STIMS,AREAS,pval,percentile);
    
    clear *_MATT_*
    load('Examples/DI_FIT_cFIT_FITshared_MATT.mat','FIT_MATT_EXP_SC','FIT_EXP_MEAN_SC');
    FIT_EXP_MEAN_SC_SigMask = compute_DI_FIT_sigmap(FIT_EXP_MEAN_SC,FIT_MATT_EXP_SC,exp_list,STIMS,AREAS,pval,percentile);
    
    
    clear *_MATT_*
    load('Examples/DI_FIT_cFIT_FITshared_MATT.mat','cFIT_MATT_EXP_SC','cFIT_EXP_MEAN_SC');          
    cFIT_EXP_MEAN_SC_SigMask = compute_DI_FIT_sigmap(cFIT_EXP_MEAN_SC,cFIT_MATT_EXP_SC,exp_list,STIMS,AREAS,pval,percentile);
    
    clear *_MATT_*
    load('Examples/DI_FIT_cFIT_FITshared_MATT.mat','FITshared_MATT_EXP_SC','FITshared_EXP_MEAN_SC');
    
    FITshared_EXP_MEAN_SC_SigMask = compute_DI_FIT_sigmap(FITshared_EXP_MEAN_SC,FITshared_MATT_EXP_SC,exp_list,STIMS,AREAS,pval,percentile);
    
    clear *_MATT_*

    save(['DI_FIT_cFIT_FITshared_sigMasks_v2_025_',name_area1,'_',name_area2,'_stims_',num2str(STIMS(1)),...
        '_',num2str(STIMS(2)),'.mat'],'*SigMask')

end